View Issue Details

IDProjectCategoryView StatusLast Update
0000357WackoWikiauthenticationpublic2011-05-31 21:24
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.3.rc 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000357: Use SHA256 for passwords as default
Descriptionalter field size for 'password' to VARCHAR(64)
upgrade the authentication system to use SHA256
allow for existing installations to move to it. This means that the code will upgrade existing users from MD5 to SHA256 as the users login.
TagsNo tags attached.

Relationships

related to 0000274 resolvedadministrator Implement secure/salted hashing algorithm for passwords 

Issue History

Date Modified Username Field Change
2010-03-18 20:00 administrator New Issue
2010-03-18 20:00 administrator Status new => assigned
2010-03-18 20:00 administrator Assigned To => administrator
2010-03-18 20:01 administrator Note Added: 0000754
2010-03-18 20:01 administrator Status assigned => resolved
2010-03-18 20:01 administrator Resolution open => fixed
2010-03-18 20:01 administrator Fixed in Version => 5.0.beta
2010-03-18 20:01 administrator Relationship added related to 0000274
2010-03-18 20:02 administrator Description Updated View Revisions
2011-04-01 14:56 administrator Summary Use SHA1 for passwords as default => Use SHA256 for passwords as default
2011-04-01 14:56 administrator Description Updated View Revisions
2011-05-31 21:24 administrator Build => R5.0.beta